View Bug Details

IDProjectCategoryView StatusLast Update
0001327DCP-o-matic[All Projects] Bugspublic2018-07-10 11:29
ReporteroverlookmotelAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformMacOSMac OSOS Version10.12.6
Product Version2.12.0 
Target Version2.13.xFixed in Version 
Summary0001327: Position not updated when change trim on previous content
Description

I just noticed a small bug in DCP-o-matic 2.12.6 on Mac.

Steps to reproduce:

  • Add file 1 (30 secs long)
  • Add file 2
  • Position on file 2 in Timing tab shows as 30:00
  • Trim 1 sec from start of file 1 (so now it's 29 secs long)
  • Position on file 2 still shows as 30:00 (incorrect - it should show 29:00)

Then:

  • Click "Earlier" on file 2 so it becomes 1st piece of content
  • Click "Later" on file 2 so it moves back to original position of 2nd piece of content
  • Position on file 2 now shows as 29:00 (correctly)

This is just what you see in the UI. I don't know what happens if you actually make the DCP.

NB In my case "file 1" was a Quicktime ProRes file and "file 2" was a DCP.

Would be happy to send the project and source files if bug is not easily reproduceable. But it's a feature, so would be about 150GB of files.

TagsNo tags attached.
Estimated work requiredUnknown

Activities

Carsten

2018-06-28 15:32

manager   ~0002491

This is not a real bug. You can place content in the project range anywhere you want. If you create gaps, DCP-o-matic will fill them with black and silence automatically. In this case, it was your goal to have no gap between the two pieces. In other projects, it may be desirable to keep the second or all following content at their initial position. You can open timeline view and uncheck/check 'keep video and subtitles in sequence' - that will automatically close the gaps.

  • Carsten


carl

2018-07-09 14:50

administrator   ~0002522

I'm not quite sure what I think about this, but I've "fixed" it so that your case will do what you expected (in 2.13.35). We'll see if it causes any confusion...

Carsten

2018-07-10 11:29

manager   ~0002526

I guess it will do the right thing in more cases than it will go wrong, so...
I guess few users actively use 'gaps' between content. Those concerned will probably have blacks in their content or use dedicated black spacers.

  • Carsten

Bug History

Date Modified Username Field Change
2018-06-25 15:48 overlookmotel New Bug
2018-06-25 16:27 carl Target Version => 2.13.x
2018-06-28 15:32 Carsten File Added: Bildschirmfoto 2018-06-28 um 17.31.19.png
2018-06-28 15:32 Carsten File Added: Bildschirmfoto 2018-06-28 um 17.31.04.png
2018-06-28 15:32 Carsten Note Added: 0002491
2018-07-09 14:50 carl Assigned To => carl
2018-07-09 14:50 carl Status new => resolved
2018-07-09 14:50 carl Resolution open => fixed
2018-07-09 14:50 carl Note Added: 0002522
2018-07-10 11:29 Carsten Note Added: 0002526